#include <p18cxxx.h>   /* for TRISA and PORTA declarations */
#include <stdio.h>
#include <usart.h>

#pragma config OSC = HS
//#pragma config WDT = OFF

//#pragma config OSC = INTIO67
#pragma config LVP = OFF
#pragma config WDT = OFF


void main()
{  // ATTENZIONE: INIZIALIZZAZIONE UART:

 char ch;

 OpenUSART( USART_TX_INT_OFF  &  /* no TX interrupt                        */
            USART_RX_INT_OFF  &  /* no RX interrupt                        */
            USART_ASYNCH_MODE &  /* UART mode                              */
            USART_EIGHT_BIT   &  /* 8 bit No parity 1 stop                 */
            USART_CONT_RX     &  /* non disabilita dopo 1 RX               */
            USART_BRGH_HIGH,     /* baud rate alto                         */
            51 );                /* baud rate = (Fclock / 1024) - 1        */

 OSCCON = 0x72;

// while(1) { while(BusyUSART()); putcUSART(0x55); }

 puts("Hello World!!\x0d\x0a");
 puts("Ciao Mondo!!\x0d\x0a");

 while(1)
 {
  while(!DataRdyUSART()); ch = getcUSART();

  while(BusyUSART()); putcUSART(ch);
 }

}

