
#include <p18cxxx.h>   /* for TRISA and PORTA declarations */

/* Set configuration bits for use with ICD2 / PICDEM2 PLUS Demo Board:
 *  - set INTIO2 oscillator
 *  - disable watchdog timer
 *  - disable low voltage programming
 */
#pragma config OSC = INTIO67
#pragma config WDT = OFF
#pragma config LVP = OFF

void main()
{
 ADCON1 = 0xff; // no AD sulle porte
 CMCON  = 7; // no comparatore sulla porta
 TRISA = 0x00; // porta A in uscita
 TRISB = 0xff; // porta B in ingresso

 while(1) LATA = ~PORTB; // ciclo senza fine In cui leggo la porta B e la riecheggio sulla A
}
